Subject: [nemo] RE: Issue 6

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 14 Jul 2003 10:47:41 -0700

hi Pascal,

> > -----Original Message-----
> > 
> >     When the Mobile Router and the Home Agent exchange routes
> >     through routing protocol updates, the Home Agent MUST NOT
> >     create routes to the Mobile network when the Binding Update
> >     from the Mobile Router is received. The Mobile Router also
> >     MUST NOT include any prefix information in the Binding Update.
> >     Any routes to the Mobile Network are created at the Home
> >     Agent through routing protocol updates.
> 
> Why should that be? We can configure routers to use different routing
> protocols at the same time. You need to state how routes are
> redistributed afterwards but this is business as usual. 

I agree with you here.

> It is up the the
> HA config to accept it or not, 

isnt it redundant to include prefix information in the
binding update if routes are being exchanged through a
dynamic routing protocol?

> but I do not see why Nemo should
> interfere with that. 

because NEMO is the one specifying including prefix 
information in the Binding Update. and the NEMO protocol
includes HA creating routes based on this prefix 
information. we are specifying a protocol operation
here.

> There's no need for the protocol operation to place
> such a limit. Do I miss something?

well, you want the protocol to be efficient, right?
when a dynamic routing protocol is being used, including
prefix information in the binding update is both 
redundant and involves an overhead in terms of the size
of binding udpate.

Vijay